View Issue Details

IDProjectCategoryView StatusLast Update
0021863LazarusWidgetsetpublic2018-11-25 11:38
Reportercobines Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux i386OSDebian 
Product Version1.1 (SVN) 
Summary0021863: Cannot set background color for drawing text
DescriptionIt is not possible to set background color for text using Canvas.Brush.Color := <color>.

Drawing with Canvas.TextOut always draws black background color.
Drawing with DrawText does not draw background.
Drawing with ExtTextOut always draws black background color.

All three functions draw background correctly on LCLQT/Linux.
TagsNo tags attached.
Fixed in Revision37029,37031
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0019384 resolvedZeljan Rikalo TCanvas.Brush.Color problem on GTK2 
related to 0022719 closedZeljan Rikalo Opaque text fails 
related to 0011958 resolvedJuha Manninen Canvas.TextOut is differ in Win32 and GTK2 implementations 

Activities

2012-04-26 02:39

 

gtk_text_color.tar.bz2 (1,751 bytes)

Zeljan Rikalo

2012-04-26 06:48

developer   ~0058995

Please test and close if ok

Zeljan Rikalo

2012-04-26 08:02

developer   ~0059004

Must reopen, seem that something is missing for transparent drawing (just spotted it in SE when pressing ctrl+alt+space inside routine params to see hint).

Zeljan Rikalo

2012-04-26 08:04

developer   ~0059005

Test and close if ok. It draws same as qt now.

cobines

2012-04-26 09:18

reporter   ~0059007

Thanks. Yes, works OK now.

Issue History

Date Modified Username Field Change
2012-04-26 02:39 cobines New Issue
2012-04-26 02:39 cobines File Added: gtk_text_color.tar.bz2
2012-04-26 02:39 cobines Widgetset => GTK 2
2012-04-26 05:56 Zeljan Rikalo Status new => assigned
2012-04-26 05:56 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-04-26 06:48 Zeljan Rikalo Fixed in Revision => 37029
2012-04-26 06:48 Zeljan Rikalo LazTarget => -
2012-04-26 06:48 Zeljan Rikalo Status assigned => resolved
2012-04-26 06:48 Zeljan Rikalo Resolution open => fixed
2012-04-26 06:48 Zeljan Rikalo Note Added: 0058995
2012-04-26 06:48 Zeljan Rikalo Relationship added related to 0019384
2012-04-26 08:02 Zeljan Rikalo Status resolved => assigned
2012-04-26 08:02 Zeljan Rikalo Resolution fixed => reopened
2012-04-26 08:02 Zeljan Rikalo Note Added: 0059004
2012-04-26 08:04 Zeljan Rikalo Fixed in Revision 37029 => 37029,37031
2012-04-26 08:04 Zeljan Rikalo Status assigned => resolved
2012-04-26 08:04 Zeljan Rikalo Resolution reopened => fixed
2012-04-26 08:04 Zeljan Rikalo Note Added: 0059005
2012-04-26 09:18 cobines Note Added: 0059007
2012-04-26 09:19 cobines Status resolved => closed
2012-08-26 11:48 Zeljan Rikalo Relationship added related to 0022719
2018-11-25 11:38 Juha Manninen Relationship added related to 0011958